ru.bitel.bgbilling.modules.voice.api.common.bean

## Class VoiceOperAccountType

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.common.model.IdTitle
    - - ru.bitel.bgbilling.modules.voice.api.common.bean.VoiceAccountTypeAbstract
      - - ru.bitel.bgbilling.modules.voice.api.common.bean.VoiceOperAccountType

- All Implemented Interfaces:
    java.io.Serializable, Idable, ListItem

      public class VoiceOperAccountType
      extends VoiceAccountTypeAbstract

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.modules.voice.api.common.bean.VoiceAccountTypeAbstract

      `isOperator`

    - ### Fields inherited from class ru.bitel.common.model.IdTitle

      `title`

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceOperAccountType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isNeedFromPorts()`
    `boolean` | `isNeedNoRegexpA()`
    `boolean` | `isNeedNoRegexpB()`
    `boolean` | `isNeedRegexpA()`
    `boolean` | `isNeedRegexpB()`
    `boolean` | `isNeedRegexpFromPorts()`
    `boolean` | `isNeedRegexpToPorts()`
    `boolean` | `isNeedToPorts()`
    `void` | `setNeedFromPorts(boolean needFromPorts)`
    `void` | `setNeedNoRegexpA(boolean needNoRegexpA)`
    `void` | `setNeedNoRegexpB(boolean needNoRegexpB)`
    `void` | `setNeedRegexpA(boolean needRegexpA)`
    `void` | `setNeedRegexpB(boolean needRegexpB)`
    `void` | `setNeedRegexpFromPorts(boolean needRegexpFromPorts)`
    `void` | `setNeedRegexpToPorts(boolean needRegexpToPorts)`
    `void` | `setNeedToPorts(boolean needToPorts)`

    - ### Methods inherited from class ru.bitel.bgbilling.modules.voice.api.common.bean.VoiceAccountTypeAbstract

      `getConfig, isOperator, setConfig`

    - ### Methods inherited from class ru.bitel.common.model.IdTitle

      `getTitle, setTitle, toString`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface ru.bitel.common.model.ListItem

      `getId`

- - ### Constructor Detail

    - #### VoiceOperAccountType

          public VoiceOperAccountType()

  - ### Method Detail

    - #### isNeedRegexpFromPorts

          public boolean isNeedRegexpFromPorts()

    - #### setNeedRegexpFromPorts

          public void setNeedRegexpFromPorts(boolean needRegexpFromPorts)

    - #### isNeedRegexpToPorts

          public boolean isNeedRegexpToPorts()

    - #### setNeedRegexpToPorts

          public void setNeedRegexpToPorts(boolean needRegexpToPorts)

    - #### isNeedRegexpA

          public boolean isNeedRegexpA()

    - #### setNeedRegexpA

          public void setNeedRegexpA(boolean needRegexpA)

    - #### isNeedNoRegexpA

          public boolean isNeedNoRegexpA()

    - #### setNeedNoRegexpA

          public void setNeedNoRegexpA(boolean needNoRegexpA)

    - #### isNeedRegexpB

          public boolean isNeedRegexpB()

    - #### setNeedRegexpB

          public void setNeedRegexpB(boolean needRegexpB)

    - #### isNeedNoRegexpB

          public boolean isNeedNoRegexpB()

    - #### setNeedNoRegexpB

          public void setNeedNoRegexpB(boolean needNoRegexpB)

    - #### isNeedFromPorts

          public boolean isNeedFromPorts()

    - #### setNeedFromPorts

          public void setNeedFromPorts(boolean needFromPorts)

    - #### isNeedToPorts

          public boolean isNeedToPorts()

    - #### setNeedToPorts

          public void setNeedToPorts(boolean needToPorts)